Summary: small, simple http daemon, supports SSL
Name: mini_httpd
Version: 1.16beta14
Release: 2ss
Copyright: Freely Redistributable
Packager: Bruce Guenter <bruceg@em.ca>
Group: Networking/Daemons
URL: http://www.acme.com/software/mini_httpd/
Source: http://www.acme.com/software/mini_httpd-%{PACKAGE_VERSION}.tar.gz
Source1: mini_httpd.run
Source2: mini_httpd-log.run
Source3: mini_httpd.conf
Patch0: mini_httpd-logstderr.patch
BuildRoot: /var/tmp/mini_httpd-rpmbuild
Requires: openssl
Requires: supervise-scripts
Provides: webserver

%description
Simple and small HTTP daemon supporting SSL

%prep
%setup
%patch0 -p1

%build
make SSL_INCDIR=/usr/include/openssl \
     SSL_LIBDIR=/usr/lib \
     SSL_DEFS=-DUSE_SSL \
     SSL_INC=-I/usr/include/openssl \
     SSL_LIBS='-lssl -lcrypto' \
     BINDIR=%{_bindir} \
     MANDIR=%{_mandir} \
     CFLAGS='-g -DUSE_SSL -I/usr/include/openssl'

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8
mkdir -p $RPM_BUILD_ROOT/etc
mkdir -p $RPM_BUILD_ROOT/home/mini_httpd/{html,service/log}
mkdir -p $RPM_BUILD_ROOT/var/log/mini_httpd
make BINDIR=$RPM_BUILD_ROOT%{_bindir} \
     MANDIR=$RPM_BUILD_ROOT%{_mandir} \
     install
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT/etc/mini_httpd.conf
install -m 644 index.html $RPM_BUILD_ROOT/home/mini_httpd/html/index.html
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/home/mini_httpd/service/run
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT/home/mini_httpd/service/log/run
ln -s /var/log/mini_httpd $RPM_BUILD_ROOT/home/mini_httpd/log
ln -s /etc/mini_httpd.conf $RPM_BUILD_ROOT/home/mini_httpd/conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
if ! [ -d /service/mini_httpd ]; then
	svc-add -d /home/mini_httpd/service
	echo "Type 'svc-start mini_httpd' to start the mini HTTPd server."
fi

%preun
if [ "$1" = 0 ]; then
	svc-remove mini_httpd
fi

%files
%defattr(-,root,root)
%config(noreplace) /etc/mini_httpd.conf
%{_bindir}/*
%doc %{_mandir}/*/*
%doc [A-Z]*
%dir /home/mini_httpd
     /home/mini_httpd/conf
%dir /home/mini_httpd/html
     /home/mini_httpd/html/index.html
     /home/mini_httpd/log
%attr(1755,root,root) %dir /home/mini_httpd/service
%attr(0755,root,root) %dir /home/mini_httpd/service/log
%attr(0755,root,root)      /home/mini_httpd/service/log/run
%attr(0755,root,root)      /home/mini_httpd/service/run
%attr(0700,nobody,nobody) %dir /var/log/mini_httpd

%changelog
* Mon May 07 2001 <jef@acme.com> Version 1.16
* Tue May 01 2001 <jef@acme.com> Version 1.15c
* Sat Apr 21 2001 <jef@acme.com> Version 1.15b
* Wed Sep 20 2000 <jef@acme.com> Version 1.15
* Thu Jun 15 2000 <jef@acme.com> Version 1.14
* Fri May 26 2000 <jef@acme.com> Version 1.13
* Wed Mar 01 2000 <jef@acme.com> Version 1.12
* Sun Feb 06 2000 <jef@acme.com> Version 1.11
* Wed Feb 02 2000 <jef@acme.com> Version 1.10
* Mon Jan 31 2000 <bet@rahul.net> Version 1.09, added init script
* Wed Jan 19 2000 <bet@rahul.net> Version 1.08, reset release to 1
* Mon Dec 13 1999 <bet@mordor.net>
  - Added defattr to %files, bumped Release to 2
* Sat Dec 11 1999 <bet@mordor.net>
  - Bumped version to 19991210, switched source from oct to dec
* Fri Dec 10 1999 <bet@mordor.net>
  - Initial Wrap
